Skip to main content

Queue Person For Purge

POST 

/users/v1/person/:person_id/purge

Queue a person for purging. This can occur up to a configured amount of time in the future or can occur immediately depending on suggested_purge_time.

Required Permissions:

  • For any person (including themselves) any of: purge:*:*, purge:person:admin

Request

Path Parameters

    person_id uuidrequired

Body

required

    suggested_purge_time date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

Responses

Successful Response

Schema

    person_id uuidrequired

    Person ID that will be purged

    purge_on date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    created_on date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    last_modified_on date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    status Status (string)required

    Status of the purge request

Loading...